package uchicago.src.nqpy.compiler;

public class BuiltInFuncFactory {

  private BuiltInFuncFactory() {}

  public static BuiltInFunc getBuiltInFunc(String name) {
    if (name.equals("int")) return new IntBuiltInFunc();
    else if (name.equals("jclass")) return new ClassBuiltInFunc();
    else if (name.equals("float")) return new FloatBuiltInFunc();
    else if (name.equals("str")) return new StrBuiltInFunc();
    else return null;
  }
}
