package uchicago.src.nqpy.compiler;

public class JavaField {

  private int mods;
  private Class type;
  private String strType;
  private String name;
  private String decClassName;

  public JavaField(String fieldName, Class type, int mods,
		   String declaringClassName)
  {
    this.name = fieldName;
    this.type = type;
    this.mods = mods;
    this.decClassName = declaringClassName;
  }

  public JavaField(String fieldName, String type, int mods,
		   String declaringClassName) {
    this.name = fieldName;
    strType = type;
    this.mods = mods;
    this.decClassName = declaringClassName;
  }

  public FieldCall getFieldCall() {
    NQPyClass nqclass = null;
    if (type == null) nqclass = NQPyClassFactory.makeNQPyClass(strType);
    else nqclass = NQPyClassFactory.makeNQPyClass(type);
    
    FieldCall fc = new FieldCall(decClassName, name, nqclass, mods);
    return fc;
  }
}
