package uchicago.src.nqpy.parser;

import uchicago.src.nqpy.compiler.NQPyClass;
import uchicago.src.nqpy.compiler.NQPyBlockCompiler;

/**
 * Interface for classes that parse / compile index op.
 * $Revision: 1.1 $ $Date: 2004/10/12 13:20:19 $
 */
public interface Indexer {
  public NQPyClass getNQPyClass(NQPyBlockCompiler compiler);
  public void compileIntIndex(NQPyBlockCompiler compiler, SimpleNode listNode, SimpleNode intIndex);
  public void compileSliceIndex(NQPyBlockCompiler compiler, SimpleNode listNode, ASTSlice sliceIndex);
  public void assign(NQPyBlockCompiler compiler, SimpleNode listNode, SimpleNode indexNode, SimpleNode rhs);
  public NQPyClass getNQPyClassForSlice(NQPyBlockCompiler compiler);
}
