package uchicago.src.simbuilder;

import uchicago.src.simbuilder.beans.ModelProducerBeanInfo;

/**
 * A dummy ModelProducerBeanInfo class that instead of actually loading a model type
 * shows a file dialog allowing the user to load a model.
 * 
 * @author Nick Collier
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:24 $
 */
public class LoadModelBeanInfo implements ModelProducerBeanInfo {

  public void loadModelProducer(EvolverController controller, boolean loadModel) {
    String path = controller.getOpenPath();
    if (path != null) {
      controller.open(path);
    } else {
      controller.chooseNewModel(false);
    }
  }
}
