package uchicago.src.simbuilder;

import java.awt.*;
import java.io.IOException;


/**
 * Interface for Objects that wish to be displayed as items in
 * a PalettePanel.
 *
 * @author Nick Collier
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:24 $
 */

public interface PaletteItem {

  public String getName();

  public String getBeanName();

  public String getToolTipText();

  public PaletteItem getItem();

  public Object makeBean() throws IOException, ClassNotFoundException;

  public Image getIcon(int iconType);

  public int getCursorType();
}

