package uchicago.src.simbuilder.base.gis;

import uchicago.src.sim.engine.CustomProbeable;
import anl.repast.gis.GisAgent;
import anl.repast.gis.OpenMapAgent;
import anl.repast.gis.GeotoolsAgent;

import java.awt.*;
import java.util.HashMap;
import java.util.Map;

import com.bbn.openmap.omGraphics.OMGraphic;

/**
 * Abstract base class upon which the classes compiled from VectorAgent producers are based.
 */ 
public abstract class AbstractGeotoolsGISAgent implements CustomProbeable, GeotoolsAgent {
  
  protected int index;
  protected int[] neighbors = new int[0];

  public int getGisAgentIndex() {
    return index;  
  }

  public int[] getNeighbors() {
    return neighbors;
  }

  public String[] gisPropertyList() {
    return new String[0];  
  }

  public void setGisAgentIndex(int index) {
    this.index = index;
  }

  public void setNeighbors(int[] neighbors) {
    this.neighbors = neighbors;
  }
}
