package uchicago.src.simbuilder.base.gis;

import com.bbn.openmap.omGraphics.OMGraphic;

import java.awt.*;

/**
 * @author Nick Collier
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:24 $
 */
public class LineSetter {
  
  private BasicStroke stroke;
  private Color color;

  public LineSetter(Color color, int thickness) {
    this.color = color;
    this.stroke = new BasicStroke(thickness);
  }
  
  public void setLine(OMGraphic graphic) {
    if (graphic != null) {
      graphic.setLinePaint(color);
      graphic.setStroke(stroke);
    }
  }

  public Color getColor() {
    return color;
  }
}
