package uchicago.src.simbuilder.beans;

import uchicago.src.simbuilder.property.EvolverPropertyEditor;

import java.beans.PropertyChangeEvent;

/**
 * @author Nick Collier
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:25 $
 */
public abstract class AbstractEvolverComponent implements EvolverComponent {
  
  public void propertyChange(PropertyChangeEvent evt) {
    if (evt.getSource() instanceof EvolverPropertyEditor) {
      EvolverPropertyEditor editor = (EvolverPropertyEditor) evt.getSource();
      editor.setPropertyFromValue(this);
    }
  }
}
