package uchicago.src.simbuilder.beans;

import javax.swing.*;
import java.awt.*;
import java.beans.BeanDescriptor;

/**
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:25 $
 */
public class DataRecorderBeanInfo extends EvolverBeanInfo {

  private static final String iconFile =
          "/uchicago/src/simbuilder/images/Draw.gif";
  private static final String[][] props = {{"File Name", "fileName"},
                                           {"Name", "name"},
                                           {"Schedule", "schedule"},
                                           {"Header Comment", "headerComment"},
                                           {"Data Sources", "dataSources"}};

  public DataRecorderBeanInfo() {
    super(DataRecorder.class, props);
  }

  public BeanDescriptor getBeanDescriptor() {
    BeanDescriptor bd = new BeanDescriptor(beanClass);
    bd.setDisplayName("Data Recorder");
    return bd;
  }

  public Image getIcon(int type) {
    return new ImageIcon(getClass().getResource(iconFile)).getImage();
  }

}
