package uchicago.src.simbuilder.beans;

/**
 * Simple wrapper around a String. This needs to be its own class
 * as we want a proper text editor like editor for editing this, not
 * the default editor for a String.
 *
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:25 $
 */

public class Description {

  private String text = "";

  public Description() {
  }

  public Description(String text) {
    this.text = text;
  }

  public Description(Description description) {
    this.text = description.text;
  }

  public void setText(String text) {
    this.text = text;
  }

  public String getText() {
    return text;
  }
}
