package uchicago.src.simbuilder.beans;

import javax.swing.*;
import java.awt.datatransfer.StringSelection;
import java.awt.dnd.*;

/**
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:25 $
 */

public class DragList extends JList implements DragGestureListener,
        DragSourceListener {

  public DragList(ListModel model) {
    super(model);
    DragSource dragSource = DragSource.getDefaultDragSource();
    dragSource.
            createDefaultDragGestureRecognizer(this,
                    DnDConstants.ACTION_COPY_OR_MOVE,
                    this);
  }

  public void dragGestureRecognized(DragGestureEvent evt) {
    evt.startDrag(DragSource.DefaultCopyDrop,
            new StringSelection((String) getSelectedValue()), this);
  }

  public void dragDropEnd(DragSourceDropEvent e) {
  }

  public void dragEnter(DragSourceDragEvent e) {
  }

  public void dragExit(DragSourceEvent e) {
  }

  public void dragOver(DragSourceDragEvent e) {
  }

  public void dropActionChanged(DragSourceDragEvent e) {
  }

}
