package uchicago.src.simbuilder.beans;

/**
 * Constants used by the simbuilder application.
 */

public interface EvolverConstants {

  public static final String XML_HEADER = "<?xml version=\"1.0\"?>";
  public static final String XMLNS = "RePastEvolver";
  public static final String XMLNS_FULL = "xmlns:" + XMLNS +
          "=\"http://src.uchicago.edu/simbuilder/\"";
  public static final String XML_ROOT = "EvolverModelSpec";
  public static final String XML_ROOT_START = "<" + XMLNS + ":" +
          XML_ROOT + " " + XMLNS_FULL + ">";
  public static final String XML_ROOT_END = "</" + XMLNS + ":" +
          XML_ROOT + ">";

  public static final String XML_MODEL = "EvolverModel";
  public static final String XML_MODEL_FULL = XMLNS + ":" + XML_MODEL;
  public static final String XML_BEAN = "EvolverBean";
  public static final String XML_BEAN_FULL = XMLNS + ":" + XML_BEAN;
}
