package uchicago.src.simbuilder.beans;

/**
 * Interface for components whose actions can be scheduled.
 * 
 * @author Nick Collier
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:26 $
 */
public interface Schedulable {
  
  /**
   * Gets the ScheduleDetails (the schedule property).
   * Note that this is the property accessor and
   * NOT the EvolverBean.schedule() implementation.
   */
  public ScheduleDetails getSchedule();

  /**
   * Gets the ScheduleDetails (the schedule property). 
   * Note that this is the property accessor and
   * NOT the EvolverBean.schedule() implementation.
   */
  public void setSchedule(ScheduleDetails val);
}
