package uchicago.src.simbuilder.beans;

import javax.swing.*;
import java.awt.*;
import java.beans.BeanDescriptor;

/**
 * BeanInfo for SequenceGraph.
 * <p/>
 * $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:26 $
 */

public class SequenceGraphBeanInfo extends EvolverBeanInfo {

  private static final String iconFile =
          "/uchicago/src/simbuilder/images/LineGraph.gif";

  private static final String[][] props = {{"Initial X-Axis Size", "initialXAxisSize"},
                                           {"Initial Y-Axis Size", "initialYAxisSize"},
                                           {"Name", "name"},
                                           {"Schedule", "schedule"},
                                           {"Title", "title"},
                                           {"X-Axis Title", "xAxisTitle"},
                                           {"Y-Axis Title", "yAxisTitle"},
                                           {"File Name", "fileName"},
                                           {"Series", "sequences"}};

  public SequenceGraphBeanInfo() {
    super(uchicago.src.simbuilder.beans.SequenceGraph.class, props);
  }

  public BeanDescriptor getBeanDescriptor() {
    BeanDescriptor bd = new BeanDescriptor(beanClass);
    bd.setDisplayName("Sequence Graph");
    bd.setName("Sequence Graph");
    return bd;
  }

  public Image getIcon(int type) {
    return new ImageIcon(getClass().getResource(iconFile)).getImage();
    //return loadImage(iconFile);
  }
}
