package uchicago.src.simbuilder.beans.gis;

import uchicago.src.simbuilder.beans.EvolverBeanInfo;

import javax.swing.*;
import java.awt.*;
import java.beans.BeanDescriptor;

/**
 * BeanInfo for the GridModelProducer.
 *
 * @version $Revision: 1.2 $ $Date: 2004/12/10 22:04:44 $
 */

public class GenericAgentProducerBeanInfo extends EvolverBeanInfo {

  private static String image = "/uchicago/src/simbuilder/images/User.gif";
  private static final String[][] props = {{"Actions", "actions"},
                                           {"Name", "name"},
                                           {"Group Name", "groupName"},
                                           {"Fields", "parameters"},
                                           {"Schedule", "schedule"},
                                           {"Parent Class", "possibleSuperClasses"}};

  public GenericAgentProducerBeanInfo() {
    super(GenericAgentProducer.class, props);
  }


  public BeanDescriptor getBeanDescriptor() {
    BeanDescriptor bd = new BeanDescriptor(beanClass);
    bd.setDisplayName("Generic Agent");
    return bd;
  }


  public Image getIcon(int iconKind) {
    return new ImageIcon(getClass().getResource(image)).getImage();
  }
}
