package uchicago.src.simbuilder.beans.gis;

import java.awt.*;

/**
 * @author Nick Collier
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:27 $
 */
public class PolygonSymbolIcon implements SymbolIcon {
  
  private Color color;
  private int width = 20;
  private int height = 10;

  public PolygonSymbolIcon(Color color) {
    this.color = color;
  }

  public Color getColor() {
    return color;
  }

  public void setColor(Color color) {
    this.color = color;
  }

  public int getThickness() {
    return -1;
  }

  public void setThickness(int thickness) {
    
  }

  public int getIconWidth() {
    return width;
  }

  public int getIconHeight() {
    return height;
  }

  public void paintIcon(Component comp, Graphics g, int x, int y) {
    Color c = g.getColor();
    Graphics2D g2 = (Graphics2D)g;
    g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
                        RenderingHints.VALUE_ANTIALIAS_ON);
    g.setColor(color);
    g.fillRect(x, y, width, height);
    g.setColor(Color.BLACK);
    g.drawRect(x, y, width, height);
    g.setColor(c);
    g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
                        RenderingHints.VALUE_ANTIALIAS_OFF);
  }
}
