package uchicago.src.simbuilder.beans.gis;

import uchicago.src.simbuilder.beans.EvolverBeanInfo;

import javax.swing.*;
import java.awt.*;
import java.beans.BeanDescriptor;

/**
 * BeanInfo for the GridModelProducer.
 *
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:27 $
 */

public class RasterAgentProducerBeanInfo extends EvolverBeanInfo {

  private static String image = "/uchicago/src/simbuilder/images/raster_agent.png";
  private static final String[][] props = {{"Actions", "actions"},
                                           {"Name", "name"},
                                           {"Group Name", "groupName"},
                                           {"Fields", "parameters"},
                                           {"Schedule", "schedule"}};

  public RasterAgentProducerBeanInfo() {
    super(RasterAgentProducer.class, props);
  }


  public BeanDescriptor getBeanDescriptor() {
    BeanDescriptor bd = new BeanDescriptor(beanClass);
    bd.setDisplayName("Raster Agent");
    return bd;
  }


  public Image getIcon(int iconKind) {
    return new ImageIcon(getClass().getResource(image)).getImage();
  }
}
