package uchicago.src.simbuilder.beans.network;

import uchicago.src.simbuilder.beans.EvolverBeanInfo;

import javax.swing.*;
import java.awt.*;
import java.beans.BeanDescriptor;

/**
 * BeanInfo for NetworkDisplayProducer.
 * <p/>
 * $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:28 $
 */

public class NetworkDisplayProducerBeanInfo extends EvolverBeanInfo {

  private static final String iconFile =
          "/uchicago/src/simbuilder/images/Eyeball.gif";
  private static final String[][] props = {{"Height", "height"},
                                           {"Width", "width"},
                                           {"Layout", "layout"},
                                           {"Node Shape", "nodeShape"},
                                           {"Schedule", "schedule"}};


  public NetworkDisplayProducerBeanInfo() {
    super(uchicago.src.simbuilder.beans.network.NetworkDisplayProducer.class, props);
  }

  public BeanDescriptor getBeanDescriptor() {
    BeanDescriptor bd = new BeanDescriptor(beanClass);
    bd.setDisplayName("Network Display");
    bd.setName("Network Display");
    return bd;
  }

  public Image getIcon(int type) {
    return new ImageIcon(getClass().getResource(iconFile)).getImage();
    //return loadImage(iconFile);
  }
}
