package uchicago.src.simbuilder.beans.network;

import uchicago.src.simbuilder.beans.EvolverBeanInfo;

import javax.swing.*;
import java.awt.*;
import java.beans.BeanDescriptor;

/**
 * BeanInfo for NetworkPlotProducer
 * <p/>
 * $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:28 $
 */

public class NetworkPlotProducerBeanInfo extends EvolverBeanInfo {

  private static final String iconFile =
          "/uchicago/src/simbuilder/images/PieGraph.gif";

  private static final String[][] props = {{"Initial X-Axis Size", "initialXAxisSize"},
                                           {"Initial Y-Axis Size", "initialYAxisSize"},
                                           {"Name", "name"},
                                           {"Schedule", "schedule"},
                                           {"Stats to Plot", "statsToPlot"},
                                           {"Title", "title"},
                                           {"File Name", "fileName"}};

  public NetworkPlotProducerBeanInfo() {
    super(uchicago.src.simbuilder.beans.network.NetworkPlotProducer.class, props);
  }

  public BeanDescriptor getBeanDescriptor() {
    BeanDescriptor bd = new BeanDescriptor(beanClass);
    bd.setDisplayName("Network Plot");
    bd.setName("Network Plot");
    return bd;
  }

  public Image getIcon(int type) {
    return new ImageIcon(getClass().getResource(iconFile)).getImage();
    //return loadImage(iconFile);
  }
}
