package uchicago.src.simbuilder.beans.network;

import uchicago.src.simbuilder.beans.Fields;

/**
 * Interface for NetworkSource properties.
 */
public interface NetworkSource {

  public String getInitScript(String agentName, String groupName);

  public NetworkSource copy();

  public String[] getProperties();

  public Fields fixParameters(NetworkNodeProducer producer, Fields params);

  public String toXML();
}
