package uchicago.src.simbuilder.property;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Property editor for Floats. This is a near copy of the similar
 * class in the Swing beanbox demo.
 *
 * @author Nick Collier
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:50 $
 */

public class FloatPropertyEditor extends TextFieldEditor {

  public FloatPropertyEditor() {
    field.setDocument(new FloatDocument());
    field.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        if (isEmpty())
          field.setText(superGetValue().toString());
        else
          setValue(new Float(field.getText()));
      }
    });
  }

  protected Object getObjectFromField() {
    return new Float(field.getText());
  }
}
