package uchicago.src.simbuilder.property;

import javax.swing.*;
import java.awt.*;


/**
 * Property editor for object types. This is a default when no other editor
 * can be found. It does not allow the user to change the property.
 *
 * @author Nick Collier
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:50 $
 */

public class ObjectPropertyEditor extends EvolverPropertyEditor {

  private JLabel label = new JLabel();

  public ObjectPropertyEditor() {
    panel = new JPanel();
    panel.setBackground(Color.WHITE);
    panel.setLayout(new BoxLayout(panel, BoxLayout.X_AXIS));
    panel.add(label);
  }

  public void setValue(Object val) {
    super.setValue(val);
    if (val != null)
      label.setText(val.toString());
    else
      label.setText("Null");
  }
}
