package test.uchicago.src.simbuilder.beans;

import org.apache.velocity.app.Velocity;

import java.util.Properties;

import uchicago.src.simbuilder.beans.network.SquareLatticeNetworkSource;
import uchicago.src.simbuilder.beans.network.NetworkNodeProducer;
import uchicago.src.simbuilder.beans.network.MatrixFileNetworkSource;

/**
 * @author Nick Collier
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:19 $
 */
public class TemplateTest {
  
  public void start() {
    /*
    SquareLatticeNetworkSource source = new SquareLatticeNetworkSource();
    System.out.println("source.getInitScript() = " + source.getInitScript("foo.bar.agent"));
    System.out.println("");
    */
    MatrixFileNetworkSource source = new MatrixFileNetworkSource();
    source.setFileName("c:\\foo.dl");
    source.setType(0);
    System.out.println("source.getInitScript() = \n" + source.getInitScript("foo.bar.agent", ""));
   
    
    NetworkNodeProducer producer = new NetworkNodeProducer();
    producer.setNetworkSource(source);
    System.out.println("producer.getNQPySetup() = \n" + producer.getNQPySetup());
    
  }
  
  public static void main(String[] args) {
    Properties props = new Properties();
     props.put("resource.loader", "class");
     props.put("class.resource.loader.description", "Velocity Classpath Resource Loader");
     props.put("class.resource.loader.class", "org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader");
    try {
      Velocity.init(props);
    } catch (Exception e) {
      e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
    }
    
    TemplateTest test = new TemplateTest();
    test.start();
  }
}
