package uchicago.src.nqpy.compiler;

public abstract class AbstractCompilerException extends RuntimeException {
  
  protected int lineNum = -1;
  protected String blockName = "";
  protected String line = "";

  public int getLineNum() {
    return lineNum;
  }
  
  public void setLineNum(int val) {
    lineNum = val;
  }

  public String getLine() {
    return line;
  }
    
  public void setLine(String val) {
    line = val;
  }
  
  public String getBlockName() {
    return blockName;
  }
  
  public void setBlockName(String val) {
    blockName = val;
  }

  public abstract String getMessage();
}
