package uchicago.src.simbuilder;

import java.beans.BeanInfo;
import java.beans.IntrospectionException;
import java.beans.Introspector;
import java.util.Hashtable;


public class BeanIntrospector {

  private static Hashtable cache = new Hashtable();

  public static BeanInfo getBeanInfo(Class type) {
    BeanInfo info = null;
    try {
      info = (BeanInfo) cache.get(type);
      if (info == null) {
        info = Introspector.getBeanInfo(type);
      }
    } catch (IntrospectionException ex) {
      ex.printStackTrace();
    }

    return info;
  }
}