package uchicago.src.simbuilder;

import uchicago.src.simbuilder.beans.ModelProducerBeanInfo;

import javax.swing.*;

/**
 * @author Nick Collier
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:24 $
 */
class NewModelItem {
  private String name;
  private Icon icon;
  private boolean enabled;
  private String details = "";
  private ModelProducerBeanInfo info;

  public NewModelItem(boolean enabled, Icon icon, String name, ModelProducerBeanInfo info) {
    this.info = info;
    this.enabled = enabled;
    this.icon = icon;
    this.name = name;
  }

  public boolean isEnabled() {
    return enabled;
  }

  public Icon getIcon() {
    return icon;
  }

  public String getName() {
    return name;
  }

  public void setDescription(String val) {
    this.details = val;
  }

  public String getDescription() {
    return details;
  }

  public ModelProducerBeanInfo getModelProducerBeanInfo() {
    return info;
  }
}
