package uchicago.src.simbuilder;

import javax.swing.*;
import java.awt.*;
import java.io.IOException;

/**
 * Palette item for the selector - the arrow cursor.
 *
 * @author Nick Collier
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:24 $
 */

public class PaletteSelectorItem implements PaletteItem {

  private static final String icon = "/uchicago/src/simbuilder/images/Select.gif";

  private String name = "Selector";

  public String getName() {
    return name;
  }

  public String getToolTipText() {
    return name;
  }

  public PaletteItem getItem() {
    return null;
  }

  public Object makeBean() throws IOException, ClassNotFoundException {
    return null;
  }

  public int getCursorType() {
    return Cursor.DEFAULT_CURSOR;
  }

  public Image getIcon(int iconType) {
    return new ImageIcon(getClass().getResource(icon)).getImage();
  }

  public String getBeanName() {
    return "";
  }
}
