package uchicago.src.simbuilder.base;

import uchicago.src.sim.space.Object2DGrid;
import uchicago.src.sim.util.Random;

public class DefaultGridModel extends DefaultSimModelImpl {

  protected void randomAddToSpace(DefaultGridAgent agent, Object2DGrid space) {
    int width = space.getSizeX() - 1;
    int height = space.getSizeY() - 1;
    int x, y;

    do {
      x = Random.uniform.nextIntFromTo(0, width);
      y = Random.uniform.nextIntFromTo(0, height);
    } while (space.getObjectAt(x, y) != null);

    agent.setX(x);
    agent.setY(y);
    space.putObjectAt(x, y, agent);
  }
}
