package uchicago.src.simbuilder.beans;

import uchicago.src.nqpy.compiler.AbstractCompilerException;

import javax.swing.*;
import java.beans.PropertyChangeListener;

/**
 * Interface for those EvolverBeans that produce ActionCode. This allows
 * the compiler error catching and displaying mechanism to treat these
 * uniformly.
 *
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:25 $
 */
public interface ActionCodeProducer extends PropertyChangeListener {

  //public String className();

  public void displayEditor(JFrame frame, AbstractCompilerException ex);


}
