package uchicago.src.simbuilder.beans;

/**
 * Interface for those compilables "attached" to agents. These
 * EvolverAgentCompileables will add code and parameters to the agent
 * that can be modified by the user.
 *
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:26 $
 */

public interface EvolverAgentCompileable extends EvolverCompileable {

  public String initAction();

  public Fields agentParameters();

  public void setEvolverCompileable(EvolverCompileable comp);

}
