package uchicago.src.simbuilder.beans;

public class FileProperty {

  private String fileName = "";
  private boolean doWrite;

  public FileProperty(boolean doWrite, String fileName) {
    this.doWrite = doWrite;
    this.fileName = fileName;
  }

  public FileProperty(FileProperty prop) {
    this.doWrite = prop.doWrite;
    this.fileName = prop.fileName;
  }

  public void setDoWrite(boolean write) {
    doWrite = write;
  }

  public boolean doWrite() {
    return doWrite;
  }

  public void setFileName(String val) {
    fileName = val;
  }

  public String getFileName() {
    return fileName;
  }

  public String toXML() {
    String xmlName = EvolverConstants.XMLNS + ":file_property";
    StringBuffer b = new StringBuffer("<");
    b.append(xmlName);
    b.append(" doWrite=\"");
    b.append(doWrite);
    b.append("\" fileName=\"");
    b.append(fileName);
    b.append("\" />");
    return b.toString();
  }
}
