package uchicago.src.simbuilder.beans;

/**
 * @author Nick Collier
 * @version $Revision: 1.2 $ $Date: 2004/10/24 22:46:59 $
 */
public class PropertyName {

  private String name;

  private PropertyName(String name) {
    this.name = name;
  }

  public String getName() {
    return name;
  }

  public static PropertyName CLASS_NAME = new PropertyName("ClassName");
  public static PropertyName DISPLAY_NAME = new PropertyName("DisplayName");
  public static PropertyName PROJECT_NAME = new PropertyName("ProjectName");
  public static PropertyName NETWORK_SOURCE = new PropertyName("NetworkSource");
  public static PropertyName GRID_NUM_AGENTS = new PropertyName("GridNumAgents");
  public static PropertyName GRID_AGENTS_GROUP_NAME = new PropertyName("GridAgentsGroupName");
  public static PropertyName GIS_PACKAGE_NAME = new PropertyName("GISPackage");

}
