package uchicago.src.simbuilder.beans.grid;

import uchicago.src.simbuilder.beans.EvolverBeanInfo;

import javax.swing.*;
import java.awt.*;
import java.beans.BeanDescriptor;

/**
 * BeanInfo for the GridModelProducer.
 *
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:28 $
 */

public class GridAgentProducerBeanInfo extends EvolverBeanInfo {

  private static String image = "/uchicago/src/simbuilder/images/User.gif";
  private static final String[][] props = {{"Actions", "actions"},
                                           {"Name", "name"},
                                           {"Group Name", "groupName"},
                                           {"Initial Location", "location"},
                                           {"Fields", "parameters"},
                                           {"Number of Agents", "numAgents"},
                                           {"Schedule", "schedule"},
                                           {"Type", "type"}};

  public GridAgentProducerBeanInfo() {
    super(uchicago.src.simbuilder.beans.grid.GridAgentProducer.class, props);
  }


  public BeanDescriptor getBeanDescriptor() {
    BeanDescriptor bd = new BeanDescriptor(beanClass);
    bd.setDisplayName("Grid Agent");
    return bd;
  }


  public Image getIcon(int iconKind) {
    return new ImageIcon(getClass().getResource(image)).getImage();
  }
}
