package uchicago.src.simbuilder.beans.grid;

import uchicago.src.simbuilder.beans.EvolverBeanInfo;

import javax.swing.*;
import java.awt.*;
import java.beans.BeanDescriptor;

/**
 * BeanInfo for NetworkDisplayProducer.
 * <p/>
 * $Revision: 1.2 $ $Date: 2004/10/18 20:18:34 $
 */

public class GridDisplayProducerBeanInfo extends EvolverBeanInfo {

  private static final String iconFile =
          "/uchicago/src/simbuilder/images/Eyeball.gif";
  private static final String[][] props = {{"Title", "title"},
                                           {"Schedule", "schedule"},
                                           {"Background Color", "backgroundColor"}};

  public GridDisplayProducerBeanInfo() {
    super(uchicago.src.simbuilder.beans.grid.GridDisplayProducer.class, props);
  }

  public BeanDescriptor getBeanDescriptor() {
    BeanDescriptor bd = new BeanDescriptor(beanClass);
    bd.setDisplayName("Grid Display");
    bd.setName("Grid Display");
    return bd;
  }

  public Image getIcon(int type) {
    return new ImageIcon(getClass().getResource(iconFile)).getImage();
  }
}
