package uchicago.src.simbuilder.beans.network;

import uchicago.src.simbuilder.beans.Fields;

/**
 * Dummy do nothing network source. This is here to force a properyChange when the 
 * source has not changed, but we want to reload the source in the model.
 * 
 * @author Nick Collier
 * @version $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:28 $
 */
public class DummyNetworkSource implements NetworkSource {

  public NetworkSource copy() {
    throw new UnsupportedOperationException();
  }

  public Fields fixParameters(NetworkNodeProducer producer, Fields params) {
    throw new UnsupportedOperationException();
  }

  public String getInitScript(String agentName, String groupName) {
    throw new UnsupportedOperationException();
  }

  public String[] getProperties() {
    throw new UnsupportedOperationException();
  }

  public String toXML() {
    throw new UnsupportedOperationException();
  }
}
