package uchicago.src.simbuilder.beans.network;

import uchicago.src.sim.gui.OvalNode;

/**
 * Displayable OvalNode used to wrap EvolverNodeImpl in order to
 * display them.
 * <p/>
 * $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:28 $
 */
public class EvolverOvalNode extends OvalNode {

  public EvolverOvalNode(EvolverNodeImpl node) {
    super(node.getX(), node.getY());
    //super.setNode(node);
  }

  public EvolverOvalNode() {
    super(0, 0);
  }

  public void setNode(EvolverNodeImpl node) {
    super.setX(node.getX());
    super.setY(node.getY());
    //super.setNode(node);
  }

  /**
   * Gets the x coordinate.
   */
  public double getX() {
    return ((EvolverNodeImpl) node).getX();
  }

  /**
   * Sets the x coordinate.
   *
   * @param x the new x coordindate
   */
  public void setX(double x) {
    ((EvolverNodeImpl) node).setX(x);
  }

  /**
   * Gets the y coordinate.
   */
  public double getY() {
    return ((EvolverNodeImpl) node).getY();
  }

  /**
   * Sets the y coordinate.
   *
   * @param y the new y coordinate
   */
  public void setY(double y) {
    ((EvolverNodeImpl) node).setY(y);
  }
}
