package uchicago.src.simbuilder.beans.network;

import uchicago.src.simbuilder.beans.EvolverBeanInfo;

import javax.swing.*;
import java.awt.*;
import java.beans.BeanDescriptor;

/**
 * BeanInfo class for the NetworkNodeProducer.
 * <p/>
 * $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:28 $
 */
public class NetworkNodeProducerBeanInfo extends EvolverBeanInfo {

  private static final String iconFile =
          "/uchicago/src/simbuilder/images/User.gif";
  private static final String[][] props = {{"Actions", "actions"},
                                           {"Group Name", "groupName"},
                                           {"Name", "name"},
                                           {"Network Source", "networkSource"},
                                           {"Fields", "parameters"},
                                           {"Schedule", "schedule"}};

  public NetworkNodeProducerBeanInfo() {
    super(uchicago.src.simbuilder.beans.network.NetworkNodeProducer.class, props);
  }

  public BeanDescriptor getBeanDescriptor() {
    BeanDescriptor bd = new BeanDescriptor(beanClass);
    bd.setDisplayName("Default Network Node");
    return bd;
  }

  public Image getIcon(int type) {
    return new ImageIcon(getClass().getResource(iconFile)).getImage();
    //return loadImage(iconFile);
  }
}
