package uchicago.src.simbuilder.beans.network;

import uchicago.src.simbuilder.beans.EvolverBeanInfo;

import javax.swing.*;
import java.awt.*;
import java.beans.BeanDescriptor;

/**
 * BeanInfo for NetworkRecorderProducer.
 * <p/>
 * $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:29 $
 */

public class NetworkRecorderProducerBeanInfo extends EvolverBeanInfo {

  private static final String iconFile =
          "/uchicago/src/simbuilder/images/NewSheet.gif";
  private static final String[][] props = {{"File Name", "fileName"},
                                           {"Format", "format"},
                                           {"Matrix Type", "matrixType"},
                                           {"Name", "name"},
                                           {"Schedule", "schedule"}};

  public NetworkRecorderProducerBeanInfo() {
    super(uchicago.src.simbuilder.beans.network.NetworkRecorderProducer.class, props);
  }


  public BeanDescriptor getBeanDescriptor() {
    BeanDescriptor bd = new BeanDescriptor(beanClass);
    bd.setDisplayName("Network Recorder");
    bd.setName("Network Recorder");
    return bd;
  }

  public Image getIcon(int type) {
    return new ImageIcon(getClass().getResource(iconFile)).getImage();
    //return loadImage(iconFile);
  }
}
