package uchicago.src.simbuilder.beans.network;

import uchicago.src.simbuilder.beans.EvolverBeanInfo;

import javax.swing.*;
import java.awt.*;
import java.beans.BeanDescriptor;

/**
 * BeanInfo class for the NodeLinker
 * <p/>
 * $Revision: 1.1.1.1 $ $Date: 2004/09/30 03:40:29 $
 */
public class NodeLinkerBeanInfo extends EvolverBeanInfo {

  private static final String iconFile =
          "/uchicago/src/simbuilder/images/chain.gif";
  private static final String[][] props = {{"Actions", "actions"},
                                           {"Name", "name"},
                                           {"Fields", "parameters"},
                                           {"Starting Weight", "startWeight"}};

  public NodeLinkerBeanInfo() {
    super(uchicago.src.simbuilder.beans.network.NodeLinker.class, props);
  }

  public BeanDescriptor getBeanDescriptor() {
    BeanDescriptor bd = new BeanDescriptor(beanClass);
    bd.setDisplayName("Network Node Linker");
    return bd;
  }

  public Image getIcon(int type) {
    return new ImageIcon(getClass().getResource(iconFile)).getImage();
    //return loadImage(iconFile);
  }
}
