package uchicago.src.simbuilder.beans.network;

import uchicago.src.simbuilder.beans.EvolverConstants;

import java.util.HashMap;

public class RandomLayoutProperty implements uchicago.src.simbuilder.beans.network.LayoutProperty {

  public RandomLayoutProperty() {
  }


  public LayoutProperty copy() {
    return new RandomLayoutProperty();
  }

  public boolean isEditable() {
    return false;
  }

  public String getInitScript(String varName, String ctorArgs, String dispName) {
    StringBuffer b = new StringBuffer(varName);
    b.append(" = RandomGraphLayout(");
    b.append(ctorArgs);
    b.append(")\n");
    return b.toString();
  }

  public String[] getProperties() {
    return new String[]{""};
  }

  public String toXML() {
    String xmlString = EvolverConstants.XMLNS + ":network_display";
    StringBuffer b = new StringBuffer("<");
    b.append(xmlString);
    b.append(" class=\"");
    b.append(getClass().getName());
    b.append("\"");
    b.append(" />");
    return b.toString();
  }

  public void fromMap(HashMap map) {
  }


  public String getClassName() {
    return "uchicago.src.sim.gui.RandomGraphLayout";
  }
}
