package uchicago.src.simbuilder.util;

import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLClassLoader;

public class JarClassLoader extends URLClassLoader {

  public JarClassLoader(URL jarURL, ClassLoader parent) {
    super(new URL[]{jarURL}, parent);
  }

  public void addJarFile(String jarFile) throws MalformedURLException {
    URL url = new URL("file:" + jarFile);
    addURL(url);
  }

}
